wibble::list::ListIterator< List > Struct Template Reference

`#include <list.h>`

## Public Types

typedef std::forward_iterator_tag | iterator_category
typedef List::Type | value_type
typedef ptrdiff_t | difference_type
typedef value_type & | pointer
typedef value_type & | reference

## Public Member Functions

ListIterator & | operator++ ()
ListIterator | operator++ (int)
List::Type | operator* ()
bool | operator== (const ListIterator &o) const
bool | operator!= (const ListIterator &o) const
| ListIterator (List _l=List())

## Public Attributes

List | l

## Member Typedef Documentation

## difference_type

template<typename List >

typedef ptrdiff_t wibble::list::ListIterator< List >::difference_type

## iterator_category

template<typename List >

typedef std::forward_iterator_tag wibble::list::ListIterator< List >::iterator_category

## pointer

template<typename List >

typedef value_type& wibble::list::ListIterator< List >::pointer

## reference

template<typename List >

typedef value_type& wibble::list::ListIterator< List >::reference

## value_type

template<typename List >

typedef List::Type wibble::list::ListIterator< List >::value_type

## Constructor & Destructor Documentation

## ListIterator()

template<typename List >

wibble::list::ListIterator< List >::ListIterator | ( | List | _l = `List()` | ) |

inline

## Member Function Documentation

## operator!=()

template<typename List >

bool wibble::list::ListIterator< List >::operator!= | ( | const ListIterator< List > & | o | ) | const

inline

References wibble::list::ListIterator< List >::l.

## operator*()

template<typename List >

List::Type wibble::list::ListIterator< List >::operator* | ( |  | ) |

inline

References wibble::list::ListIterator< List >::l.

## operator++() [1/2]

template<typename List >

ListIterator& wibble::list::ListIterator< List >::operator++ | ( |  | ) |

inline

References wibble::list::ListIterator< List >::l.

Referenced by wibble::list::ListIterator< List >::operator++().

## operator++() [2/2]

template<typename List >

ListIterator wibble::list::ListIterator< List >::operator++ | ( | int |  | ) |

inline

References wibble::list::ListIterator< List >::operator++().

## operator==()

template<typename List >

bool wibble::list::ListIterator< List >::operator== | ( | const ListIterator< List > & | o | ) | const

inline

References wibble::list::ListIterator< List >::l.

## Member Data Documentation

## l

template<typename List >

List wibble::list::ListIterator< List >::l

Referenced by wibble::list::ListIterator< List >::operator!=(), wibble::list::ListIterator< List >::operator*(), wibble::list::ListIterator< List >::operator++(), and wibble::list::ListIterator< List >::operator==().

The documentation for this struct was generated from the following file:

- list.h